# Listing Message Templates

```
GET https://gateway.lipachat.com/api/v1/template/PHONE_NUMBER
```

{% hint style="info" %}
Pass your WABA number or Sandbox phone number as the value of *PHONE\_NUMBER*
{% endhint %}

**Headers**

| Name         | Value                                                                           |
| ------------ | ------------------------------------------------------------------------------- |
| Content-Type | `application/json`                                                              |
| apiKey       | Get apiKey from App portal settings tab <https://app.lipachat.com/app/settings> |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "timestamp": null,
    "data": {
        "data": [
            {
                "name": "test_media_companya",
                "components": [
                    {
                        "type": "HEADER",
                        "format": "IMAGE",
                        "example": {
                            "header_handle": [
                                "https://scontent.whatsapp.net/v/t61.29466-34/328759101_1510667262890922_1348889753235210704_n.jpg?ccb=1-7&_nc_sid=8b1bef&_nc_ohc=PEok0_YRgNAQ7kNvgFpH0sc&_nc_ht=scontent.whatsapp.net&edm=AH51TzQEAAAA&_nc_gid=ANQFWqWAPaoLccD_WIYbSWd&oh=01_Q5AaID9X2olNqgUd21TyQEsfvScM3e1XFUqulVwqqyH08s7x&oe=673591AC"
                            ]
                        }
                    },
                    {
                        "type": "BODY",
                        "text": "Hi {{1}}, you recently bought airtime with our platform. We would like to hear your feedback on the quality. May we proceed with thr survey?",
                        "example": {
                            "body_text": [
                                [
                                    "example1"
                                ]
                            ]
                        }
                    },
                    {
                        "type": "BUTTONS",
                        "buttons": [
                            {
                                "type": "QUICK_REPLY",
                                "text": "Yes"
                            },
                            {
                                "type": "QUICK_REPLY",
                                "text": "No"
                            },
                            {
                                "type": "QUICK_REPLY",
                                "text": "Stop"
                            }
                        ]
                    }
                ],
                "language": "en",
                "status": "APPROVED",
                "category": "MARKETING",
                "id": "1510667259557589",
                "createdAt": null,
                "rejected_reason": "NONE",
                "quality_score": {
                    "score": "UNKNOWN",
                    "date": "1727275621"
                }
            },
            {
                "name": "test_media_temp",
                "components": [
                    {
                        "type": "HEADER",
                        "format": "TEXT",
                        "text": "Hello",
                        "example": {
                            "header_text": [
                                "example1"
                            ]
                        }
                    },
                    {
                        "type": "BODY",
                        "text": "Hello {{1}}",
                        "example": {
                            "body_text": [
                                [
                                    "example1"
                                ]
                            ]
                        }
                    }
                ],
                "language": "en",
                "status": "REJECTED",
                "category": "MARKETING",
                "id": "2815665278588373",
                "createdAt": null,
                "rejected_reason": "INVALID_FORMAT",
                "quality_score": {
                    "score": "UNKNOWN",
                    "date": "1728979833"
                }
            },
            {
                "name": "temp_lower_68",
                "components": [
                    {
                        "type": "HEADER",
                        "format": "TEXT",
                        "text": "{{1}} registration",
                        "example": {
                            "header_text": [
                                "July"
                            ]
                        }
                    },
                    {
                        "type": "BODY",
                        "text": "Hi {{1}}, we have a new user registered click {{2}} to view.",
                        "example": {
                            "body_text": [
                                [
                                    "John",
                                    "http://lipachat.com/offers/ASHSH"
                                ]
                            ]
                        }
                    }
                ],
                "language": "en",
                "status": "APPROVED",
                "category": "MARKETING",
                "id": "1661737361284034",
                "createdAt": "2024-09-15T17:05:52.808+00:00",
                "rejected_reason": "NONE",
                "quality_score": {
                    "score": "UNKNOWN",
                    "date": "1728979833"
                }
            }
        ]
    },
    "status": "success",
    "message": "success",
    "errors": null
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "timestamp": "2024-09-15T20:06:38.675567555",
    "data": null,
    "status": "error",
    "message": "Content in this language already exists",
    "errors": null
}
```

{% endtab %}

{% tab title="401" %}

```json
{
    "timestamp": "2024-09-15T20:07:23.464199513",
    "data": null,
    "status": "success",
    "message": "Invalid credentials",
    "errors": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lipachat.com/api/templates/list-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
